/**
* @file
* 
* \brief Hlavičkový súbor obsahujúci generátor jazykových mutácií textov
*
* Obsahuje všetky premenné a funkcie, slúžiace na správu jazykových mutácií textov.
*/

#include "hello.h"

static char *LanguageTable[] = {
  "Hello, World!",
  "Halo, svet!"
};


char StringBuffer[100]; 
bool DefaultLanguageUsed; /**< \brief Indikátor použitia preddefinovaného jazyka v prípade kódu jazyka mimo rozsah */

#define MAX_LANGS (sizeof(LanguageTable)/sizeof(LanguageTable[0])) /**< \brief Počet definovaných jazykov 
								    *
								    * Počet je určený automaticky z veľkosti poľa
								    * LanguageTable - toto pole obsahuje smerníky na statické texty
								    */

char *
GetString (const int lang_code)
{
  /** Funkcia najprv skontroluje, či je kód jazyka v povolenom rozsahu. */
  if (lang_code < MAX_LANGS)
    {
    	/** Pokiaľ je tomu tak, skopíruje do globálneho bufra text v považovanom jazyku */
      strcpy (StringBuffer, LanguageTable[lang_code]);
      DefaultLanguageUsed = false;
    }
  else
    {
    	/** V opačnom prípade sa skopíruje text v preddefinovanom jazyku */
      strcpy (StringBuffer, LanguageTable[LNG_DEFAULT]);
      DefaultLanguageUsed = true;
    }

  return buf;
}
