/**
* @file
* 
* @brief Deklarácie makier a funkcií generátora jazykových mutácií
*/
#ifndef __LANG_H
#define __LANG_H


/**
* @ingroup makra
* @{
*/
#define LNG_EN		0   /**< \brief Angličtina */
#define LNG_SK		1   /**< \brief Slovenčina */

#define LNG_DEFAULT  LNG_SK /**< \brief Preddefinovaný jazyk (Slovenčina) */
/** @} */


/**
* @ingroup premenne
* @{
*/
/** 
* @brief Globálny buffer, obsahujúci jazykovú mutáciu textu
* 
* Tento bufer je statický bufer. Jeho obsah sa prepíše pri každom volaní funkcie GetString
*/
extern char StringBuffer[100]; 
extern bool DefaultLanguageUsed; /**< @brief Globálna premenná, indikujúca použirtie preddefinovaného jazyka
				  *
				  * Premenná sa nastavuje po každom volaní funkcie GetString
				  */
/** @} */

/**
* @ingroup funkcie_lang
* @brief Funkcia, ktorá vráti text v požadovanom jazyku.
* 
* Funkcia skopíruje text do globálneho bufra StringBuffer a súčasne vráti smerník na bufer. Globálny 
* bufer sa prepíše každým volaním funkcie.
*/

extern char *GetString(const int lang_code);


#endif
