/**
* @file
*
* @brief Hlavný súbor aplikácie Hello world.
*
* V zdrojovom súbore hello.c sa nachádza vstupný bod aplikácie - funkcia main
***********************************************************************/
#include "hello.h"

/**
* @brief Vstupný bod aplikácie
*
* Jedinou úlohou funkcie @ref main je vyhodnotiť vstupný parameter a na jeho základe  
* vypísať text v <i>zvolenej jazykovej mutácii</i>.  Funkcia main() využíva funkcie GetString() a @ref out_string. 
* Premenné @ref StringBuffer a ::DefaultLanguageUsed nevyužíva.
*
* <b>Podporovanými jazykmi sú angličtina a slovenčina</b>. Pokiaľ nie je jazyk stanovený, implicitným jazykom je 
* slovenčina.
* 
* (Len na okraj - program obsahuje hrubú chybu. Ale toto nie je o kvalite programu, ale o jeho zdokumentovaní.)
* 
***********************************************************************/
int
main (int n,	 /**< [in] Počet parametrov */
      char *c[]	 /**< [in] Pole parametrov */
  )
{
/** Jazyk sa určí na základe parametra */
  if (c[1][0] == 'e' || c[1][0] == 'E')
    {
      /** - e alebo E: anglicky */
      out_string (GetString (LNG_EN));
    }
  else if (c[1][0] == 's' || c[1][0] == 'S')
    {
      /** - s alebo S: slovensky */
      out_string (GetString (LNG_SK));
    }
  else
    {
      /** - iný alebo nedefinovaný: preddefinovaný jazyk */
      out_string (GetString (LNG_DEFAULT));
    }
  return 0;
}
